Changeset 2983


Ignore:
Timestamp:
Oct 15, 2013 12:07:49 PM (6 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/SCIP/releases/1.2.1/configure

    r2942 r2983  
    10821082                          (implies --disable-shared)
    10831083  --enable-debug-scip compile project SCIP with debug compiler flags
    1084   --enable-doscompile     Under Cygwin, compile so that executables run under
    1085                           DOS. Set to mingw to use gcc/g++/ld with
    1086                           -mno-cygwin. Set to msvc to use cl/link (or
    1087                           icl/link). Default when mentioned: mingw. Default
    1088                           when not mentioned: disabled.
     1084
     1085  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10891086  --enable-static[=PKGS]
    10901087                          build static libraries [default=no]
     
    19181915
    19191916# Get the name of the C compiler and appropriate compiler options
    1920 case $build in
     1917
     1918
     1919  # for backward compatibility
     1920  # Check whether --enable-doscompile or --disable-doscompile was given.
     1921if test "${enable_doscompile+set}" = set; then
     1922  enableval="$enable_doscompile"
     1923  enable_doscompile=$enableval
     1924else
     1925  enable_doscompile=no
     1926fi;
     1927
     1928  # Check whether --enable-msvc or --disable-msvc was given.
     1929if test "${enable_msvc+set}" = set; then
     1930  enableval="$enable_msvc"
     1931  enable_msvc=$enableval
     1932else
     1933  enable_msvc=no
     1934     if test "$enable_doscompile" = msvc ; then
     1935       enable_msvc=yes
     1936     elif test "$enable_doscompile" != no ; then
     1937       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1938echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1939   { (exit 1); exit 1; }; }
     1940     fi
     1941
     1942fi;
     1943
     1944  if test "$enable_msvc" = yes; then
     1945    case $build in
     1946      *-cygwin* | *-mingw*) ;;
     1947      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1948echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1949   { (exit 1); exit 1; }; } ;;
     1950    esac
     1951  fi
     1952
     1953
     1954 case $build in
    19211955  *-mingw*)
    19221956    if test "${LD+set}" = set; then :; else
     
    19251959    ;;
    19261960 esac
    1927  case $enable_doscompile in
    1928    msvc)
    1929      if test "x${LD+set}" = xset; then :; else
    1930        LD=link
    1931      fi
    1932      ;;
    1933  esac
    1934 
    1935 
    1936  # Check whether --enable-doscompile or --disable-doscompile was given.
    1937 if test "${enable_doscompile+set}" = set; then
    1938   enableval="$enable_doscompile"
    1939   if test "$enable_doscompile" != no; then
    1940      case $build in
    1941        *-cygwin* | *-mingw*) ;;
    1942        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1943 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1944    { (exit 1); exit 1; }; } ;;
    1945      esac
     1961 if test $enable_msvc = yes ; then
     1962   if test "x${LD+set}" = xset; then :; else
     1963     LD=link
    19461964   fi
    1947 else
    1948   enable_doscompile=no
    1949 fi;
    1950  case "$enable_doscompile" in
    1951    mingw)
    1952      case $build in
    1953        *-mingw*) enable_doscompile=no ;;
    1954      esac
    1955      ;;
    1956    msvc|no) ;;
    1957    yes) enable_doscompile=mingw ;;
    1958    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1959                     Try configure --help=recursive." >&5
    1960 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1961                     Try configure --help=recursive." >&2;}
    1962    { (exit 1); exit 1; }; }
    1963       ;;
    1964   esac
    1965   if test "$enable_doscompile" != no ; then
    1966     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1967 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1968   fi
     1965 fi
    19691966
    19701967
     
    20092006case $build in
    20102007  *-cygwin* | *-mingw*)
    2011              if test "$enable_doscompile" = msvc ; then
    2012                comps="icl cl"
     2008             if test "$enable_msvc" = yes ; then
     2009               comps="icl cl gcc"
    20132010             else
    2014                comps="gcc cl"
     2011               comps="gcc icl cl"
    20152012             fi ;;
    20162013  *-*-solaris*)
     
    28652862            ;;
    28662863        esac
    2867         case $enable_doscompile in
    2868           mingw)
    2869             CFLAGS="-mno-cygwin"
    2870             cat >conftest.$ac_ext <<_ACEOF
    2871 /* confdefs.h.  */
    2872 _ACEOF
    2873 cat confdefs.h >>conftest.$ac_ext
    2874 cat >>conftest.$ac_ext <<_ACEOF
    2875 /* end confdefs.h.  */
    2876 
    2877 int
    2878 main ()
    2879 {
    2880 int i=0; i++;
    2881   ;
    2882   return 0;
    2883 }
    2884 _ACEOF
    2885 rm -f conftest.$ac_objext conftest$ac_exeext
    2886 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2887   (eval $ac_link) 2>conftest.er1
    2888   ac_status=$?
    2889   grep -v '^ *+' conftest.er1 >conftest.err
    2890   rm -f conftest.er1
    2891   cat conftest.err >&5
    2892   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2893   (exit $ac_status); } &&
    2894          { ac_try='test -z "$ac_c_werror_flag"
    2895                          || test ! -s conftest.err'
    2896   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2897   (eval $ac_try) 2>&5
    2898   ac_status=$?
    2899   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2900   (exit $ac_status); }; } &&
    2901          { ac_try='test -s conftest$ac_exeext'
    2902   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2903   (eval $ac_try) 2>&5
    2904   ac_status=$?
    2905   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2906   (exit $ac_status); }; }; then
    2907   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2908 else
    2909   echo "$as_me: failed program was:" >&5
    2910 sed 's/^/| /' conftest.$ac_ext >&5
    2911 
    2912 fi
    2913 rm -f conftest.err conftest.$ac_objext \
    2914       conftest$ac_exeext conftest.$ac_ext
    2915             CFLAGS=
    2916           ;;
    2917         esac
    29182864    esac
    29192865  fi
     
    32563202  clang* ) ;;
    32573203  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3258     case $build in
     3204
     3205 case $build in
    32593206  *-mingw*)
    32603207    if test "${LD+set}" = set; then :; else
     
    32633210    ;;
    32643211 esac
    3265  case $enable_doscompile in
    3266    msvc)
    3267      if test "x${LD+set}" = xset; then :; else
    3268        LD=link
    3269      fi
    3270      ;;
    3271  esac
     3212 if test $enable_msvc = yes ; then
     3213   if test "x${LD+set}" = xset; then :; else
     3214     LD=link
     3215   fi
     3216 fi
    32723217
    32733218    ;;
     
    33043249case $build in
    33053250  *-cygwin* | *-mingw*)
    3306              if test "$enable_doscompile" = msvc ; then
    3307                comps="icl cl"
    3308              else
    3309                comps="g++ cl"
    3310              fi ;;
     3251      if test "$enable_msvc" = yes ; then
     3252         comps="icl cl g++"
     3253      else
     3254         comps="g++ icl cl"
     3255      fi ;;
    33113256  *-*-solaris*)
    33123257             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     
    38163761            ;;
    38173762        esac
    3818 
    3819         case $enable_doscompile in
    3820           mingw)
    3821             CXXFLAGS="-mno-cygwin"
    3822             cat >conftest.$ac_ext <<_ACEOF
    3823 /* confdefs.h.  */
    3824 _ACEOF
    3825 cat confdefs.h >>conftest.$ac_ext
    3826 cat >>conftest.$ac_ext <<_ACEOF
    3827 /* end confdefs.h.  */
    3828 
    3829 int
    3830 main ()
    3831 {
    3832 int i=0; i++;
    3833   ;
    3834   return 0;
    3835 }
    3836 _ACEOF
    3837 rm -f conftest.$ac_objext conftest$ac_exeext
    3838 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3839   (eval $ac_link) 2>conftest.er1
    3840   ac_status=$?
    3841   grep -v '^ *+' conftest.er1 >conftest.err
    3842   rm -f conftest.er1
    3843   cat conftest.err >&5
    3844   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3845   (exit $ac_status); } &&
    3846          { ac_try='test -z "$ac_cxx_werror_flag"
    3847                          || test ! -s conftest.err'
    3848   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3849   (eval $ac_try) 2>&5
    3850   ac_status=$?
    3851   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3852   (exit $ac_status); }; } &&
    3853          { ac_try='test -s conftest$ac_exeext'
    3854   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3855   (eval $ac_try) 2>&5
    3856   ac_status=$?
    3857   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3858   (exit $ac_status); }; }; then
    3859   coin_add_cxxflags="-mno-cygwin $coin_add_cxxflags"
    3860 else
    3861   echo "$as_me: failed program was:" >&5
    3862 sed 's/^/| /' conftest.$ac_ext >&5
    3863 
    3864 fi
    3865 rm -f conftest.err conftest.$ac_objext \
    3866       conftest$ac_exeext conftest.$ac_ext
    3867             CXXFLAGS=
    3868           ;;
    3869         esac
    38703763    esac
    38713764  fi
     
    42194112  clang* ) ;;
    42204113  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4221     case $build in
     4114
     4115 case $build in
    42224116  *-mingw*)
    42234117    if test "${LD+set}" = set; then :; else
     
    42264120    ;;
    42274121 esac
    4228  case $enable_doscompile in
    4229    msvc)
    4230      if test "x${LD+set}" = xset; then :; else
    4231        LD=link
    4232      fi
    4233      ;;
    4234  esac
     4122 if test $enable_msvc = yes ; then
     4123   if test "x${LD+set}" = xset; then :; else
     4124     LD=link
     4125   fi
     4126 fi
    42354127
    42364128    ;;
     
    60055897*-*-irix6*)
    60065898  # Find out which ABI we are using.
    6007   echo '#line 6007 "configure"' > conftest.$ac_ext
     5899  echo '#line 5899 "configure"' > conftest.$ac_ext
    60085900  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    60095901  (eval $ac_compile) 2>&5
     
    71397031
    71407032# Provide some information about the compiler.
    7141 echo "$as_me:7141:" \
     7033echo "$as_me:7033:" \
    71427034     "checking for Fortran 77 compiler version" >&5
    71437035ac_compiler=`set X $ac_compile; echo $2`
     
    82068098   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82078099   -e 's:$: $lt_compiler_flag:'`
    8208    (eval echo "\"\$as_me:8208: $lt_compile\"" >&5)
     8100   (eval echo "\"\$as_me:8100: $lt_compile\"" >&5)
    82098101   (eval "$lt_compile" 2>conftest.err)
    82108102   ac_status=$?
    82118103   cat conftest.err >&5
    8212    echo "$as_me:8212: \$? = $ac_status" >&5
     8104   echo "$as_me:8104: \$? = $ac_status" >&5
    82138105   if (exit $ac_status) && test -s "$ac_outfile"; then
    82148106     # The compiler can only warn and ignore the option if not recognized
     
    84748366   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84758367   -e 's:$: $lt_compiler_flag:'`
    8476    (eval echo "\"\$as_me:8476: $lt_compile\"" >&5)
     8368   (eval echo "\"\$as_me:8368: $lt_compile\"" >&5)
    84778369   (eval "$lt_compile" 2>conftest.err)
    84788370   ac_status=$?
    84798371   cat conftest.err >&5
    8480    echo "$as_me:8480: \$? = $ac_status" >&5
     8372   echo "$as_me:8372: \$? = $ac_status" >&5
    84818373   if (exit $ac_status) && test -s "$ac_outfile"; then
    84828374     # The compiler can only warn and ignore the option if not recognized
     
    85788470   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85798471   -e 's:$: $lt_compiler_flag:'`
    8580    (eval echo "\"\$as_me:8580: $lt_compile\"" >&5)
     8472   (eval echo "\"\$as_me:8472: $lt_compile\"" >&5)
    85818473   (eval "$lt_compile" 2>out/conftest.err)
    85828474   ac_status=$?
    85838475   cat out/conftest.err >&5
    8584    echo "$as_me:8584: \$? = $ac_status" >&5
     8476   echo "$as_me:8476: \$? = $ac_status" >&5
    85858477   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    85868478   then
     
    1092310815  lt_status=$lt_dlunknown
    1092410816  cat > conftest.$ac_ext <<EOF
    10925 #line 10925 "configure"
     10817#line 10817 "configure"
    1092610818#include "confdefs.h"
    1092710819
     
    1102310915  lt_status=$lt_dlunknown
    1102410916  cat > conftest.$ac_ext <<EOF
    11025 #line 11025 "configure"
     10917#line 10917 "configure"
    1102610918#include "confdefs.h"
    1102710919
     
    1336713259   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1336813260   -e 's:$: $lt_compiler_flag:'`
    13369    (eval echo "\"\$as_me:13369: $lt_compile\"" >&5)
     13261   (eval echo "\"\$as_me:13261: $lt_compile\"" >&5)
    1337013262   (eval "$lt_compile" 2>conftest.err)
    1337113263   ac_status=$?
    1337213264   cat conftest.err >&5
    13373    echo "$as_me:13373: \$? = $ac_status" >&5
     13265   echo "$as_me:13265: \$? = $ac_status" >&5
    1337413266   if (exit $ac_status) && test -s "$ac_outfile"; then
    1337513267     # The compiler can only warn and ignore the option if not recognized
     
    1347113363   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1347213364   -e 's:$: $lt_compiler_flag:'`
    13473    (eval echo "\"\$as_me:13473: $lt_compile\"" >&5)
     13365   (eval echo "\"\$as_me:13365: $lt_compile\"" >&5)
    1347413366   (eval "$lt_compile" 2>out/conftest.err)
    1347513367   ac_status=$?
    1347613368   cat out/conftest.err >&5
    13477    echo "$as_me:13477: \$? = $ac_status" >&5
     13369   echo "$as_me:13369: \$? = $ac_status" >&5
    1347813370   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1347913371   then
     
    1504114933   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1504214934   -e 's:$: $lt_compiler_flag:'`
    15043    (eval echo "\"\$as_me:15043: $lt_compile\"" >&5)
     14935   (eval echo "\"\$as_me:14935: $lt_compile\"" >&5)
    1504414936   (eval "$lt_compile" 2>conftest.err)
    1504514937   ac_status=$?
    1504614938   cat conftest.err >&5
    15047    echo "$as_me:15047: \$? = $ac_status" >&5
     14939   echo "$as_me:14939: \$? = $ac_status" >&5
    1504814940   if (exit $ac_status) && test -s "$ac_outfile"; then
    1504914941     # The compiler can only warn and ignore the option if not recognized
     
    1514515037   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1514615038   -e 's:$: $lt_compiler_flag:'`
    15147    (eval echo "\"\$as_me:15147: $lt_compile\"" >&5)
     15039   (eval echo "\"\$as_me:15039: $lt_compile\"" >&5)
    1514815040   (eval "$lt_compile" 2>out/conftest.err)
    1514915041   ac_status=$?
    1515015042   cat out/conftest.err >&5
    15151    echo "$as_me:15151: \$? = $ac_status" >&5
     15043   echo "$as_me:15043: \$? = $ac_status" >&5
    1515215044   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1515315045   then
     
    1735217244   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1735317245   -e 's:$: $lt_compiler_flag:'`
    17354    (eval echo "\"\$as_me:17354: $lt_compile\"" >&5)
     17246   (eval echo "\"\$as_me:17246: $lt_compile\"" >&5)
    1735517247   (eval "$lt_compile" 2>conftest.err)
    1735617248   ac_status=$?
    1735717249   cat conftest.err >&5
    17358    echo "$as_me:17358: \$? = $ac_status" >&5
     17250   echo "$as_me:17250: \$? = $ac_status" >&5
    1735917251   if (exit $ac_status) && test -s "$ac_outfile"; then
    1736017252     # The compiler can only warn and ignore the option if not recognized
     
    1762017512   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1762117513   -e 's:$: $lt_compiler_flag:'`
    17622    (eval echo "\"\$as_me:17622: $lt_compile\"" >&5)
     17514   (eval echo "\"\$as_me:17514: $lt_compile\"" >&5)
    1762317515   (eval "$lt_compile" 2>conftest.err)
    1762417516   ac_status=$?
    1762517517   cat conftest.err >&5
    17626    echo "$as_me:17626: \$? = $ac_status" >&5
     17518   echo "$as_me:17518: \$? = $ac_status" >&5
    1762717519   if (exit $ac_status) && test -s "$ac_outfile"; then
    1762817520     # The compiler can only warn and ignore the option if not recognized
     
    1772417616   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1772517617   -e 's:$: $lt_compiler_flag:'`
    17726    (eval echo "\"\$as_me:17726: $lt_compile\"" >&5)
     17618   (eval echo "\"\$as_me:17618: $lt_compile\"" >&5)
    1772717619   (eval "$lt_compile" 2>out/conftest.err)
    1772817620   ac_status=$?
    1772917621   cat out/conftest.err >&5
    17730    echo "$as_me:17730: \$? = $ac_status" >&5
     17622   echo "$as_me:17622: \$? = $ac_status" >&5
    1773117623   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1773217624   then
     
    2511325005echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2511425006coin_link_input_cmd="$LN_S"
    25115 if test "$enable_doscompile" = mingw; then
    25116   coin_link_input_cmd=cp
    25117 fi
    2511825007case "$CC" in
    2511925008  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.